LibreOffice LibreOffice 26.2 SDK API Reference

Exported Interfaces | Public Member Functions | List of all members
XPresentation2 Interface Reference

enhances the XPresentation interface to give access to a XSlideShowController and to start a presentation with arguments. More...

`import"XPresentation2.idl";`

Inheritance diagram for XPresentation2:

## Exported Interfaces
interface | XPresentation
| allows to start and stop the presentation. More...
interface | com::sun::star::beans::XPropertySet
| gives access to the properties of the slide show. More...

## Public Member Functions
void | startWithArguments ([in] sequence< ::com::sun::star::beans::PropertyValue > Arguments)
| start the slide show with the given arguments. More...
boolean | isRunning ()
| returns true if the slide show is currently running More...
XSlideShowController | getController ()
| if the slide show is running, this returns a controller object to control the running slide show. More...
Public Member Functions inherited from XPresentation
void | start ()
| The presentation is shown in full-screen and started from the beginning. More...
void | end ()
| The presentation is stopped and the full-screen mode will end. More...
void | rehearseTimings ()
| Starts the presentation from the beginning and shows the actual running time to the user. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

enhances the XPresentation interface to give access to a XSlideShowController and to start a presentation with arguments.

Since
  OOo 3.0

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties of the slide show.

## ◆ XPresentation

interface XPresentation

allows to start and stop the presentation.

## Member Function Documentation

## ◆ getController()

XSlideShowController getController | ( |  | ) |

if the slide show is running, this returns a controller object to control the running slide show.

## ◆ isRunning()

boolean isRunning | ( |  | ) |

returns true if the slide show is currently running

## ◆ startWithArguments()

void startWithArguments | ( | [in] sequence< ::com::sun::star::beans::PropertyValue > | Arguments | ) |

start the slide show with the given arguments.

All arguments override the values from Presentation.

The documentation for this interface was generated from the following file:

- com/sun/star/presentation/XPresentation2.idl